# address scope

An address scope is a scope of IPv4 or IPv6 addresses that belongs to a given project and may be shared between projects.

Network v2

## address scope create

Create a new Address Scope

    openstack address scope create
        [--extra-property type=<property_type>,name=<property_name>,value=<property_value>]
        [--ip-version {4,6}]
        [--project <project>]
        [--project-domain <project-domain>]
        [--share | --no-share]
        <name>

--extra-property type=<property_type>,name=<property_name>,value=<property_value>

  Additional parameters can be passed using this property. Default type of the extra property is string (‘str’), but other types can be used as well. Available types are: ‘dict’, ‘list’, ‘str’, ‘bool’, ‘int’. In case of ‘list’ type, ‘value’ can be semicolon-separated list of values. For ‘dict’ value is semicolon-separated list of the key:value pairs.

--ip-version <IP_VERSION>

  IP version (default is 4)

--project <project>

  Owner’s project (name or ID)

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

--share

  Share the address scope between projects

--no-share

  Do not share the address scope between projects (default)

name

  New address scope name

## address scope delete

Delete address scope(s)

    openstack address scope delete <address-scope> [<address-scope> ...]

address-scope

  Address scope(s) to delete (name or ID)

## address scope list

List address scopes

    openstack address scope list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--name <name>]
        [--ip-version <ip-version>]
        [--project <project>]
        [--project-domain <project-domain>]
        [--share | --no-share]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--name <name>

  List only address scopes with the specified name

--ip-version <ip-version>

  List only address scopes with the specified IP version networks (4 or 6)

--project <project>

  List only address scopes with the specified project (name or ID)

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

--share

  List only address scopes shared between projects

--no-share

  List only address scopes not shared between projects

## address scope set

Set address scope properties

    openstack address scope set
        [--extra-property type=<property_type>,name=<property_name>,value=<property_value>]
        [--name <name>]
        [--share | --no-share]
        <address-scope>

--extra-property type=<property_type>,name=<property_name>,value=<property_value>

  Additional parameters can be passed using this property. Default type of the extra property is string (‘str’), but other types can be used as well. Available types are: ‘dict’, ‘list’, ‘str’, ‘bool’, ‘int’. In case of ‘list’ type, ‘value’ can be semicolon-separated list of values. For ‘dict’ value is semicolon-separated list of the key:value pairs.

--name <name>

  Set address scope name

--share

  Share the address scope between projects

--no-share

  Do not share the address scope between projects

address-scope

  Address scope to modify (name or ID)

## address scope show

Display address scope details

    openstack address scope show <address-scope>

address-scope

  Address scope to display (name or ID)

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.